import request from '@/utils/request'

// 查询爆灯次数列表列表
export function listLightingNum(query) {
  return request({
    url: '/bst/lightingNum/list',
    method: 'get',
    params: query
  })
}

// 查询爆灯次数列表详细
export function getLightingNum(id) {
  return request({
    url: '/bst/lightingNum/' + id,
    method: 'get'
  })
}

// 新增爆灯次数列表
export function addLightingNum(data) {
  return request({
    url: '/bst/lightingNum',
    method: 'post',
    data: data
  })
}

// 修改爆灯次数列表
export function updateLightingNum(data) {
  return request({
    url: '/bst/lightingNum',
    method: 'put',
    data: data
  })
}

// 删除爆灯次数列表
export function delLightingNum(id) {
  return request({
    url: '/bst/lightingNum/' + id,
    method: 'delete'
  })
}

// 赠送爆用户灯次数
export function giftLightingNum(data) {
  return request({
    url: '/bst/lightingNum/giftLightingNum',
    method: 'put',
    data: data
  })
}
